var faxingOptionOutbound = {
    settings: {
        ajaxUrl: '',
    },
    dataList: null,
    init: function() {
        faxingOptionOutbound.initDataTable();
        // faxingOptionOutbound.bindFaxEvent();

    },
    initDataTable: function() {

        var callBack = function() {

        };

        faxingOptionOutbound.dataList = jQ('#faxing-option-outbound-datalist').DataTable({
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': faxingOptionOutbound.settings.ajaxUrl,
                'data': function(d) {
                    d.url = global.settings.url;
                }
            },
            "order": [[0,'desc']],
            'deferRender': true,
            'columnDefs': [
                { 'orderable': false, 'targets': 3 },
                { 'searchable': false, 'targets': 3 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    },
};